none
PowerShell Install-Moduleについて RRS feed

  • 質問

  • PowerShell Install-Module使用したスクリプトを作成しております。

    Install-Moduleを初回実行した際に下記2つを求められますが省略([Y]はい)としたいです。

    引数等を利用して省略する方法等はありますでしょうか。

    ・続行するにはNuGetプロバイダーが必要です。

    ・信頼されていないリポジトリ

    2019年10月2日 6:47

回答

  •  おそらくInstall-Module初回実行時に表示されるメッセージに、実行すべきコマンドがズバリ書いてあると思います。

    # NuGetプロバイダーのインストール
    Install-PackageProvider -Name NuGet -MinimumVersion 2.8.5.201 -Force

    # PSGalleryを信頼するリポジトリに設定
    Set-PSRepository -Name PSGallery -InstallationPolicy Trusted


    • 回答としてマーク muramatsu12 2019年10月2日 8:17
    2019年10月2日 7:46
    モデレータ